Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.sequencer
Class SequencingService.Statistics

    java.lang.Object
      org.modeshape.repository.sequencer.SequencingService.Statistics

Enclosing class:
  SequencingService

    @ThreadSafe
    public class SequencingService.Statistics

extends Object

The statistics for the system. Each sequencing system has an instance of this class that is updated.

Author:
  Randall Hauch

Constructor Summary
`protected` | `SequencingService.Statistics()`

Method Summary
`long` | `getNumberOfNodesSequenced()`
`long` | `getNumberOfNodesSkipped()`
`long` | `getStartTime()`
`protected void` | `recordNodeSequenced()`
`protected void` | `recordNodeSkipped()`
`SequencingService.Statistics` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequencingService.Statistics

    protected SequencingService.Statistics()

Method Detail

### reset

    public SequencingService.Statistics reset()

### getStartTime

    public long getStartTime()

  Returns:
    the system time when the statistics were started

### getNumberOfNodesSequenced

    public long getNumberOfNodesSequenced()

  Returns:
    the number of nodes that were sequenced

### getNumberOfNodesSkipped

    public long getNumberOfNodesSkipped()

  Returns:
    the number of nodes that were skipped because no sequencers applied

### recordNodeSequenced

    protected void recordNodeSequenced()

### recordNodeSkipped

    protected void recordNodeSkipped()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.